#!/bin/bash

# Script to compile spire with the multicompiler
# Developed by A. Babay
#     Updated for latest multicompiler options
#

CC="/opt/multicompiler/install/bin/clang"
CXX="/opt/multicompiler/install/bin/clang++"

#has to be unsigned 64bit number
rand=$(printf "%llu" $((0x$(hexdump -n 8 -ve '"%x"' /dev/urandom))))

make clean
export CPPFLAGS="-fdiversify -frandom-seed=$rand -Xclang -randomize-function-list"
make -j $(nproc) CC=$CC CXX=$CXX $@
