#hermit-run

# Script to launch an external spines instance as a Hermitux virtual machine
#It only differs from the internal spines launcher in the port number
# in the script
# It requires 2 arguments
# 1 - the number in the name of the virtual interface to bind to this VM
# 2 - The last quad of the IP address to be assigned to this VM
# 

[ $# == 2 ] || (echo "usage: start-ext-spine.sh <VM number> <My IP address last quad (002-253)" && exit)

cd ../spines/daemon
HERMIT_VERBOSE=1 HERMIT_ISLE=uhyve HERMIT_TUX=1 \
HERMIT_NETIF=vm$1 HERMIT_IP=192.168.101.$2 HERMIT_GATEWAY=192.168.101.1 \
/opt/hermitux/hermitux-kernel/prefix/bin/proxy \
/opt/hermitux/hermitux-kernel/prefix/x86_64-hermit/extra/tests/hermitux \
./spines -p 8120 -c spines_ext.conf -l 192.168.101.$2
