#hermit-run

# Script to launch a prime instance as a Hermitux VM
# It requires 3 arguments
# 1 - The number in the name of the virtual interface to bind to this VM
# 2 - The last quad of the IP address to be assigned to this VM
# 3- The ID of the scada_master it is to be associated with
#

[ $# == 3 ] || (echo "usage: start-prime.sh <VM number> <My IP address last quad (002-253) <matching SCADA_MASTER ID> " && exit)

cd ../prime/bin
HERMIT_VERBOSE=1 HERMIT_ISLE=uhyve HERMIT_TUX=1 \
HERMIT_NETIF=vm$1 HERMIT_IP=192.168.101.$2 HERMIT_GATEWAY=192.168.101.1 \
/opt/hermitux/hermitux-kernel/prefix/bin/proxy \
/opt/hermitux/hermitux-kernel/prefix/x86_64-hermit/extra/tests/hermitux \
./prime -i $3
