#hermit-run


# Script to start an instance of scada_master in a Hermitux VM.
#
# It requires 5 arguments
# 1 - The number in the name of the virtual interface  to be bound to the virtu$
# 2 - The last quad of the IP address of the virtual machine
# 3 - The ID of this scada_master 
# 4 - The last quad of the IP address of the internal spines instance associated
#      with this scada_master
# 5 - The last quad of the IP address of the external spines instance associated
#      with this scada_master 
#

[ $# == 5 ] || (echo "usage: start-scada.sh <VM number> <My IP address last quad (102-253)> <SCADA_MASTER ID> <Internal Spines Server IP address last quad (002-253)> <External Spines Server IP address last quad (002-253)> " && exit)

cd ../scada_master
HERMIT_VERBOSE=1 HERMIT_ISLE=uhyve HERMIT_TUX=1 \
HERMIT_NETIF=vm$1 HERMIT_IP=192.168.101.$2 HERMIT_GATEWAY=192.168.101.1 \
/opt/hermitux/hermitux-kernel/prefix/bin/proxy \
/opt/hermitux/hermitux-kernel/prefix/x86_64-hermit/extra/tests/hermitux \
./scada_master $3 192.168.101.$4:8100 192.168.101.$5:8120
